"use client";
import Request from "./axios";

const BASE_URL = process.env.BASE_URL;
console.log(`🎯🎯🎯🎯🎯-> in index.ts on 5`, process);
const server = new Request({
    timeout: 10 * 1000,
    baseURL: "http://206.168.191.125:8800",
    transform: {
        // instance  interceptor
        requestInterceptor: (config) => {
            return config;
        },
        requestInterceptorCatch: (err) => {
            return err;
        },
        responseInterceptor: (config) => {
            return config;
        },
        responseInterceptorCatch: (err) => {
            const { response } = err;
            // @ts-ignore
            const { code } = response!.data;
            switch (code) {
                case 401:
                    window && (location.href = "/br/login");
                    break;
            }

            return err;
        },
    },
});

export { server };
